Subject: Jurassic Shark Teeth and Miocene Bones

From: [email-masked](Steven Grzesik )
Date: 5 Jun 1996 18:45:21 GMT

I'm still finding tons of fossilised aquatic and mammal bones. I have
shark
teeth, sting ray bones, petrified plant pieces, extinct horse teeth,
assorted
bones that could be mastodon, dire wolf, mammoth, camel bones etc. and
other stuff. I'm told the shark teeth are Jurassic to Miocene era. The
mammal bone is Miocene to Pliocene.  I found this stuff diving on a
dredging dump site and on an ancient flood plain. If you're interested
in this
kind of stuff, give me an Email. I've got it sitting on my bookshelf,
dining 
table, bedspread, living room floor etc.....:^) 
Steve       http://www.ibmc.com/fossils